### Constructor

# ECal Component new_from_icalcomponent

since: 3.34

#### Declaration [src]

    ECalComponent*
    e_cal_component_new_from_icalcomponent (
      ICalComponent* icalcomp
    )

#### Description [src]

Creates a new `ECalComponent` which will has set `icalcomp` as an inner `ICalComponent`. The newly created `ECalComponent` takes ownership of the `icalcomp`, and if the call to `e_cal_component_set_icalcomponent()` fails, then `icalcomp` is freed.

Available since: 3.34

#### Parameters

`icalcomp`

  Type: `None`

  An `ICalComponent` to use.

  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `ECalComponent`

An `ECalComponent` with `icalcomp` assigned on success, `NULL` if the `icalcomp` cannot be assigned to `ECalComponent`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.